[med-svn] [plast] 01/01: Do something useful if no arguments are given at all.
Andreas Tille
tille at debian.org
Tue Feb 9 20:09:07 UTC 2016
This is an automated email from the git hooks/post-receive script.
tille pushed a commit to branch master
in repository plast.
commit ad22dd33b0e7bc522c03210e011aa432e7f476a9
Author: Andreas Tille <tille at debian.org>
Date: Tue Feb 9 21:08:45 2016 +0100
Do something useful if no arguments are given at all.
---
debian/bin/plast | 14 +++++++++++++-
1 file changed, 13 insertions(+), 1 deletion(-)
diff --git a/debian/bin/plast b/debian/bin/plast
index 29b8193..38d252a 100755
--- a/debian/bin/plast
+++ b/debian/bin/plast
@@ -19,11 +19,23 @@
# * CECILL version 2 License for more details. *
# *****************************************************************************/
+REALPLAST=/usr/lib/plast/bin/plast
+
+usage () {
+ $REALPLAST -h
+}
+
+if [ $# -lt 1 ] ; then
+ usage
+ echo "$0: Missing required arguments ... exiting."
+ exit 1
+fi
+
# start plast execution: you can adapt _scripts_dir as needed if you install
# plast binary elsewhere than build/bin
launch() {
#_scripts_dir=$( cd -P -- "$(dirname -- "$(command -v -- "$0")")" && pwd -P )
- /usr/lib/plast/bin/plast $KL_PARAMS
+ $REALPLAST $KL_PARAMS
}
choose_query() {
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/plast.git
More information about the debian-med-commit
mailing list